Arch Remove/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 48: Line 48:
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove component]]}} button, or {{MenuCommand|Modify → [[Image:Arch_Remove.svg|16px]] Remove component}} from the top menu.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove component]]}} button, or {{MenuCommand|Modify → [[Image:Arch_Remove.svg|16px]] Remove component}} from the top menu.

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 56: Line 58:
Instrumentul Remove poate fi folosit în [[macros]] și din consola python utilizând următoarea funcție:
Instrumentul Remove poate fi folosit în [[macros]] și din consola python utilizând următoarea funcție:
</div>
</div>

{{Code|code=
{{Code|code=
removeComponents(objectsList, host=None)
removeComponents(objectsList, host=None)
Line 66: Line 69:


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch

Latest revision as of 14:52, 15 June 2024

THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Arch Remove

poziția meniului
Arch → Remove
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Add

Descriere

Instrumentele de eliminare vă permit să efectuați două tipuri de operații:

  • Eliminați o subcomponentă dintr-un obiect Arch, de exemplu, scoateți o cutie adăugată pe un perete, ca în exemplul Arch Add
  • Scoateți un obiect bazat pe shape dintr-o componentă Arch, cum ar fi wall sau structure

The counterpart of this tool is the Arch Add tool.

In imaginea de mai sus, o casetă este extrasă dintr-un perete.

Cum se folosește

  1. Selectați o subcomponentă în interiorul unui obiect Arch, sau:
  2. Selectați obiectul (obiectele) care trebuie scos, apoi componenta Arch din care trebuie să fie scăzută (componenta Arch trebuie să fie ultimul lucru pe care l-ați selectat)
  3. Apăsați butonul Remove

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Remove component button, or Modify → Remove component from the top menu.

Scripting

Scrip-Programare

Instrumentul Remove poate fi folosit în macros și din consola python utilizând următoarea funcție:

removeComponents(objectsList, host=None)
  • elimină componenta dată sau componentele din lista dată de la părinți ei. Dacă este specificat un obiect gazdă, această funcție va încerca să adauge componentele ca găuri la obiectul gazdă.

Exemplu:

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()